<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_ConsolidatedIncomeStatementAxis" xlink:label="thesagegroupplc_ConsolidatedIncomeStatementAxis" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_UnderlyingMember" xlink:label="thesagegroupplc_UnderlyingMember" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_AdjustmentsMember" xlink:label="thesagegroupplc_AdjustmentsMember" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_StatutoryMember" xlink:label="thesagegroupplc_StatutoryMember" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_ProfitOrLossTable" xlink:label="thesagegroupplc_ProfitOrLossTable" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_ProfitOrLossLineItems" xlink:label="thesagegroupplc_ProfitOrLossLineItems" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_FairValueGainOnReassessmentOfEquityInvestment" xlink:label="thesagegroupplc_FairValueGainOnReassessmentOfEquityInvestment" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_CashAndCashEquivalentsExcludingBankOverdrafts" xlink:label="thesagegroupplc_CashAndCashEquivalentsExcludingBankOverdrafts" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_PurchaseOfSharesByEmployeeBenefitTrust" xlink:label="thesagegroupplc_PurchaseOfSharesByEmployeeBenefitTrust" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_DescriptionOfAccountingPolicyForClimateChange" xlink:label="thesagegroupplc_DescriptionOfAccountingPolicyForClimateChange" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_DescriptionOfAccountingPolicyForOperatingProfit" xlink:label="thesagegroupplc_DescriptionOfAccountingPolicyForOperatingProfit" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_DisclosureOfAdjustmentsBetweenUnderlyingAndStatutoryResults" xlink:label="thesagegroupplc_DisclosureOfAdjustmentsBetweenUnderlyingAndStatutoryResults" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_DescriptionOfAccountingPolicyForAdjustmentsBetweenUnderlyingAndStatutoryResults" xlink:label="thesagegroupplc_DescriptionOfAccountingPolicyForAdjustmentsBetweenUnderlyingAndStatutoryResults" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_DisclosureOfWorkingCapital" xlink:label="thesagegroupplc_DisclosureOfWorkingCapital" />
    <loc xlink:type="locator" xlink:href="thesagegroupplc-2023-09-30.xsd#thesagegroupplc_DescriptionOfAccountingPolicyForDeferredIncome" xlink:label="thesagegroupplc_DescriptionOfAccountingPolicyForDeferredIncome" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_ConsolidatedIncomeStatementAxis" xlink:to="label_thesagegroupplc_ConsolidatedIncomeStatementAxis" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_UnderlyingMember" xlink:to="label_thesagegroupplc_UnderlyingMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_AdjustmentsMember" xlink:to="label_thesagegroupplc_AdjustmentsMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_StatutoryMember" xlink:to="label_thesagegroupplc_StatutoryMember" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_ProfitOrLossTable" xlink:to="label_thesagegroupplc_ProfitOrLossTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_ProfitOrLossLineItems" xlink:to="label_ProfitOrLossLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_FairValueGainOnReassessmentOfEquityInvestment" xlink:to="label_thesagegroupplc_thesagegroupplcFairValueGainOnReassessmentOfEquityInvestment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_CashAndCashEquivalentsExcludingBankOverdrafts" xlink:to="label_thesagegroupplc_thesagegroupplcCashAndCashEquivalentsExcludingBankOverdrafts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_PurchaseOfSharesByEmployeeBenefitTrust" xlink:to="label_thesagegroupplc_thesagegroupplcPurchaseOfSharesByEmployeeBenefitTrust_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_DescriptionOfAccountingPolicyForClimateChange" xlink:to="label_thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForClimateChange_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_DescriptionOfAccountingPolicyForOperatingProfit" xlink:to="label_thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_DisclosureOfAdjustmentsBetweenUnderlyingAndStatutoryResults" xlink:to="label_thesagegroupplc_thesagegroupplcDisclosureOfAdjustmentsBetweenUnderlyingAndStatutoryResults_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_DescriptionOfAccountingPolicyForAdjustmentsBetweenUnderlyingAndStatutoryResults" xlink:to="label_thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForAdjustmentsBetweenUnderlyingAndStatutoryResults_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_DisclosureOfWorkingCapital" xlink:to="label_thesagegroupplc_thesagegroupplcDisclosureOfWorkingCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="thesagegroupplc_DescriptionOfAccountingPolicyForDeferredIncome" xlink:to="label_thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForDeferredIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_thesagegroupplc_ConsolidatedIncomeStatementAxis" id="thesagegroupplc_ConsolidatedIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Consolidated Income statement [axis]</label>
    <label xlink:label="label_thesagegroupplc_UnderlyingMember" id="thesagegroupplc_UnderlyingMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Underlying [member]</label>
    <label xlink:label="label_thesagegroupplc_AdjustmentsMember" id="thesagegroupplc_AdjustmentsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Adjustments [member]</label>
    <label xlink:label="label_thesagegroupplc_StatutoryMember" id="thesagegroupplc_StatutoryMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statutory [member]</label>
    <label xlink:label="label_thesagegroupplc_ProfitOrLossTable" id="thesagegroupplc_ProfitOrLossTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [table]</label>
    <label xlink:label="label_ProfitOrLossLineItems" id="ProfitOrLossLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss [line items]</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcFairValueGainOnReassessmentOfEquityInvestment_Standard" id="thesagegroupplc_thesagegroupplcFairValueGainOnReassessmentOfEquityInvestment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value gain on reassessment of equity investment</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcCashAndCashEquivalentsExcludingBankOverdrafts_Standard" id="thesagegroupplc_thesagegroupplcCashAndCashEquivalentsExcludingBankOverdrafts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash and cash equivalents (excluding bank overdrafts)</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcPurchaseOfSharesByEmployeeBenefitTrust_Standard" id="thesagegroupplc_thesagegroupplcPurchaseOfSharesByEmployeeBenefitTrust_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of shares by Employee Benefit Trust</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForClimateChange_Standard" id="thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForClimateChange_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for climate change</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" id="thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForOperatingProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for operating profit</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcDisclosureOfAdjustmentsBetweenUnderlyingAndStatutoryResults_Standard" id="thesagegroupplc_thesagegroupplcDisclosureOfAdjustmentsBetweenUnderlyingAndStatutoryResults_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of adjustments between underlying and statutory results</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForAdjustmentsBetweenUnderlyingAndStatutoryResults_Standard" id="thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForAdjustmentsBetweenUnderlyingAndStatutoryResults_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for adjustments between underlying and statutory results</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcDisclosureOfWorkingCapital_Standard" id="thesagegroupplc_thesagegroupplcDisclosureOfWorkingCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Disclosure of working capital</label>
    <label xlink:label="label_thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForDeferredIncome_Standard" id="thesagegroupplc_thesagegroupplcDescriptionOfAccountingPolicyForDeferredIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for deferred income</label>
  </labelLink>
</linkbase>